# SVN info
%global svnRev 96

# Prevent brp-java-repack-jars from being run.
%define __jar_repack %{nil}

Name:    bindex
Version: 2.2
Release: %mkrel 15.svn96.2
Summary: Bundle Manifest Header Mapper

Group:   Development/Java
License: ASL 2.0
URL:     http://www.osgi.org/Repository/BIndex

# The source for this package was pulled from upstream's vcs.  Use the
# following commands to generate the tarball:
#  svn export -r ${svnRev} \
#    http://www.osgi.org/svn/public/trunk/org.osgi.impl.bundle.bindex \
#    bindex
#  tar -czvf bindex.r${svnRev}.svn.tar.gz bindex
Source0: %{name}.r%{svnRev}.svn.tar.gz
Patch0: add-classpath.patch

BuildArch: noarch

BuildRequires: ant
BuildRequires: aqute-bnd
BuildRequires: felix-osgi-obr
BuildRequires: felix-osgi-core
BuildRequires: java-devel >= 1:1.6.0
BuildRequires: junit
BuildRequires: kxml
BuildRequires: xpp3

Requires: java-headless
Requires: javapackages-tools

%description
A Java program that implements the manifest header to repository 
format mapping as described in the RFC-0112 Bundle Repository.

%prep
%setup -q -n %{name}
find . -type f -iname "*.jar" | xargs -t %__rm -f ;
%__mkdir_p bin
%patch0 -p1

%build
export CLASSPATH=$(build-classpath ant kxml junit xpp3 \
                                   felix/org.osgi.service.obr \
                                   felix/org.osgi.core)
javac -d bin $(find src -name *.java)
pushd jar
  %__ln_s $(build-classpath ant.jar)
  %__ln_s $(build-classpath kxml.jar) kxml2-min.jar
  %__ln_s $(build-classpath felix/org.osgi.service.obr.jar)
  %__ln_s $(build-classpath xpp3.jar)
popd
bnd buildx --output %{name}.jar bindex.bnd

%install
%__install -d -m 0755 %{buildroot}%{_javadir}
%__install -m 644 %{name}.jar %{buildroot}%{_javadir}/%{name}.jar

%files
%doc README
%license LICENSE.txt
%{_javadir}/*



%changelog
* Wed Mar 02 2016 neoclust <neoclust> 2.2-15.svn96.2.mga6
+ Revision: 982365
- Second rebuild of the java stack

* Sun Feb 28 2016 daviddavid <daviddavid> 2.2-15.svn96.1.mga6
+ Revision: 980249
- First rebuild of the java stack
- sync package bindex with fedora

  + umeabot <umeabot>
    - Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 2.2-3.svn96.7.mga5
+ Revision: 740198
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.2-3.svn96.6.mga5
+ Revision: 678153
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 2.2-3.svn96.5.mga4
+ Revision: 503090
- Mageia 4 Mass Rebuild

* Fri Jan 11 2013 umeabot <umeabot> 2.2-3.svn96.4.mga3
+ Revision: 346904
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Jan 04 2013 dmorgan <dmorgan> 2.2-3.svn96.3.mga3
+ Revision: 338805
- Adapt to aqute-bnd new name

* Thu Apr 28 2011 dmorgan <dmorgan> 2.2-3.svn96.2.mga1
+ Revision: 92408
- Rebuild after bootstrapping
- imported package bindex


* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.2-3.svn96
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sat Jul 31 2010 Victor G. Vasilyev <victor.vasilyev@sun.com> 2.2-2.svn96
- Use a macros for the install commands
- Use build-classpath to find aqute-bndlib.jar

* Thu Jul 29 2010 Victor G. Vasilyev <victor.vasilyev@sun.com> 2.2-1.svn96
- Use release tag according to the guidelines for svn snapshot
- Remove some macros

* Sun Jul 25 2010 Victor G. Vasilyev <victor.vasilyev@sun.com> 2.2-2
- Adjust macros
- Adjust the files section

* Tue Jun 29 2010 Victor G. Vasilyev <victor.vasilyev@sun.com> 2.2-1
- Initial package.
